Package: org.grails.web.servlet.mvc

## [Java] Class AbstractTokenResponseHandler

- org.grails.web.servlet.mvc.AbstractTokenResponseHandler

- All Implemented Interfaces and Traits:
    TokenResponseHandler

      public abstract class AbstractTokenResponseHandler
      extends java.lang.Object
      implements TokenResponseHandler

  Implements the behavior of wasInvoked in the TokenResponseHandler interface.

  See Also:
    TokenResponseHandler.wasInvoked
  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `invoked` |
    `private boolean` | `valid` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractTokenResponseHandler (boolean valid)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final java.lang.Object` | `invalidToken(groovy.lang.Closure callable)`
    `` | `protected abstract java.lang.Object` | `invalidTokenInternal(groovy.lang.Closure callable)`
    `` | `public boolean` | `wasInvalidToken()`
    `` | `public boolean` | `wasInvoked()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private boolean invoked

    - #### private boolean valid

  - ### Constructor Detail

    - #### public AbstractTokenResponseHandler(boolean valid)

  - ### Method Detail

    - #### public final java.lang.Object invalidToken(@java.lang.SuppressWarnings("rawtypes") groovy.lang.Closure callable)

    - #### protected abstract java.lang.Object invalidTokenInternal(@java.lang.SuppressWarnings("rawtypes") groovy.lang.Closure callable)

    - #### public boolean wasInvalidToken()

    - #### public boolean wasInvoked()